import type { _NSError } from "../Foundation/NSError.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _CTCellularPlanProperties } from "./CTCellularPlanProperties.js";
import type { _CTCellularPlanProvisioningRequest } from "./CTCellularPlanProvisioningRequest.js";
import type { CTCellularPlanProvisioningAddPlanResult } from "./CTCellularPlanProvisioningAddPlanResult.js";
export declare class _CTCellularPlanProvisioning extends _NSObject {
    static alloc(): _CTCellularPlanProvisioning;
    static new(): _CTCellularPlanProvisioning;
    init(): _CTCellularPlanProvisioning;
    supportsCellularPlan(): boolean;
    addPlanWith$completionHandler$(request: _CTCellularPlanProvisioningRequest, completionHandler: (result: CTCellularPlanProvisioningAddPlanResult) => void): void;
    addPlanWithRequest$properties$completionHandler$(request: _CTCellularPlanProvisioningRequest, properties: _CTCellularPlanProperties | null, completionHandler: (result: CTCellularPlanProvisioningAddPlanResult) => void): void;
    updateCellularPlanProperties$completionHandler$(properties: _CTCellularPlanProperties, completionHandler: ((error: _NSError) => void) | null): void;
    supportsEmbeddedSIM(): boolean;
}
